#!/bin/bash

function setup_conda_env() {
  # directory containing all environment
  envs=/storage/app/EWS_prod/envs

  # directory containing all custom python packages
  bin=/storage/app/EWS_prod/code/

  # provide custom python packages so they can be imported
  coordinator=${bin}/coordinator/coordinator/
  flagdir=${bin}/flagdir/
  epimodel=${bin}/epimodel/
  advisory=${bin}/advisory_builder/
  met_processing=${bin}/met_extractor_v2/
  met_processor=${bin}/environmental_suitability/
  plotting=${bin}/plotting/
  post_processing=${bin}/post_processing/
  source_gen=${bin}/source_gen/

  export PYTHONPATH=$PYTHONPATH:$coordinator:$flagdir:$epimodel:$advisory:$met_processing:$met_processor:$plotting:$source_gen:$post_processing

  # provide path to email credentials for logging

  export EMAIL_CRED=${envs}/credentials/Cred_gmail.json

  # activate venv environment of python modules so they can be imported
  venv=${envs}/conda/venv;
  source ${venv}/venv/ews_prod/bin/activate;
}

function teardown_conda_env() {
  # deactivate conda environment
  deactivate;

}

